## com.saxonica
Class SchemaAwareXPathFactory

    java.lang.Object
      javax.xml.xpath.XPathFactory
          net.sf.saxon.xpath.XPathFactoryImpl
              com.saxonica.SchemaAwareXPathFactory

    public class SchemaAwareXPathFactory

extends XPathFactoryImpl

An implementation of the JAXP XPath Factory that creates a schema-aware configuration. This implementation is used when Saxon-SA is present, and when the object model selected is the Saxon native object model.

Field Summary

Fields inherited from class javax.xml.xpath.XPathFactory
`DEFAULT_OBJECT_MODEL_URI, DEFAULT_PROPERTY_NAME`

Constructor Summary
`SchemaAwareXPathFactory()` Default constructor: this creates a Configuration as well as creating the schema-aware XPathFactory.
`SchemaAwareXPathFactory(Configuration config)` Constructor using a user-supplied Configuration.

Method Summary
`protected Configuration` `makeConfiguration()`

Methods inherited from class net.sf.saxon.xpath.XPathFactoryImpl
`getConfiguration, getFeature, isObjectModelSupported, newXPath, setFeature, setXPathFunctionResolver, setXPathVariableResolver`

Methods inherited from class javax.xml.xpath.XPathFactory
`newInstance, newInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaAwareXPathFactory

    public SchemaAwareXPathFactory()

  Default constructor: this creates a Configuration as well as creating the schema-aware XPathFactory. Any documents accessed using this XPathFactory must be built using this same Configuration.

### SchemaAwareXPathFactory

    public SchemaAwareXPathFactory(Configuration config)

  Constructor using a user-supplied Configuration. This constructor is useful if the document to be queried already exists, as it allows the configuration associated with the document to be used with this XPathFactory.

  Parameters:
    `config` - the configuration to be used. This must be a SchemaAwareConfiguration.
  Throws:
    `java.lang.ClassCastException` - if the supplied configuration is not schema-aware.

Method Detail

### makeConfiguration

    protected Configuration makeConfiguration()

  Overrides:
    `makeConfiguration` in class `XPathFactoryImpl`

Copyright (c) Saxonica Limited. All rights reserved.